From e1a38c0841fe74505cf6c81f6aa202297d2d2e73 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Thu, 11 Aug 2016 17:56:45 -0300
Subject: [PATCH 2/2] Port ekiga 4.0.1 to ptlib/opal v16

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 lib/engine/audioinput/audioinput-core.h                             | 1 -
 lib/engine/audiooutput/audiooutput-core.h                           | 1 -
 lib/engine/audiooutput/audiooutput-scheduler.h                      | 1 -
 .../components/common-videooutput/videooutput-manager-common.h      | 1 -
 lib/engine/components/hal-dbus/hal-manager-dbus.cpp                 | 1 -
 lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h   | 1 -
 lib/engine/components/opal/h323-endpoint.cpp                        | 2 +-
 lib/engine/components/opal/opal-call-manager.h                      | 2 --
 lib/engine/components/opal/opal-call.cpp                            | 6 +++---
 lib/engine/components/opal/opal-codec-description.h                 | 2 --
 lib/engine/components/opal/opal-videoinput.h                        | 1 -
 lib/engine/components/opal/opal-videooutput.cpp                     | 1 -
 lib/engine/components/ptlib/audioinput-manager-ptlib.cpp            | 1 -
 lib/engine/components/ptlib/audioinput-manager-ptlib.h              | 1 -
 lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp           | 1 -
 lib/engine/components/ptlib/audiooutput-manager-ptlib.h             | 1 -
 lib/engine/components/ptlib/videoinput-manager-ptlib.cpp            | 1 -
 lib/engine/components/ptlib/videoinput-manager-ptlib.h              | 1 -
 lib/engine/videoinput/videoinput-core.h                             | 1 -
 lib/engine/videooutput/videooutput-core.h                           | 1 -
 20 files changed, 4 insertions(+), 24 deletions(-)

diff --git a/lib/engine/audioinput/audioinput-core.h b/lib/engine/audioinput/audioinput-core.h
index 70737a694571..5c369662ce4f 100644
--- a/lib/engine/audioinput/audioinput-core.h
+++ b/lib/engine/audioinput/audioinput-core.h
@@ -45,7 +45,6 @@
 #include "hal-core.h"
 #include "audioinput-gmconf-bridge.h"

-#include "ptbuildopts.h"
 #include "ptlib.h"

 #define AUDIO_INPUT_FALLBACK_DEVICE_TYPE   "Ekiga"
diff --git a/lib/engine/audiooutput/audiooutput-core.h b/lib/engine/audiooutput/audiooutput-core.h
index 627e4142e520..df64b5830852 100644
--- a/lib/engine/audiooutput/audiooutput-core.h
+++ b/lib/engine/audiooutput/audiooutput-core.h
@@ -45,7 +45,6 @@
 #include "audiooutput-gmconf-bridge.h"
 #include "audiooutput-scheduler.h"

-#include "ptbuildopts.h"
 #include "ptlib.h"

 #define AUDIO_OUTPUT_FALLBACK_DEVICE_TYPE "Ekiga"
diff --git a/lib/engine/audiooutput/audiooutput-scheduler.h b/lib/engine/audiooutput/audiooutput-scheduler.h
index 3520d4e26935..a73e5518dbe4 100644
--- a/lib/engine/audiooutput/audiooutput-scheduler.h
+++ b/lib/engine/audiooutput/audiooutput-scheduler.h
@@ -44,7 +44,6 @@
 #include <glib.h>
 #include <vector>

-#include "ptbuildopts.h"
 #include "ptlib.h"
 #include <ptclib/pwavfile.h>

diff --git a/lib/engine/components/common-videooutput/videooutput-manager-common.h b/lib/engine/components/common-videooutput/videooutput-manager-common.h
index 7daaa29bcbd9..7ce07938c9c1 100644
--- a/lib/engine/components/common-videooutput/videooutput-manager-common.h
+++ b/lib/engine/components/common-videooutput/videooutput-manager-common.h
@@ -49,7 +49,6 @@
 #include "videooutput-manager.h"
 #include "runtime.h"

-#include "ptbuildopts.h"
 #include "ptlib.h"

 /**
diff --git a/lib/engine/components/hal-dbus/hal-manager-dbus.cpp b/lib/engine/components/hal-dbus/hal-manager-dbus.cpp
index 9d8a733def80..8ece04e5cbc5 100644
--- a/lib/engine/components/hal-dbus/hal-manager-dbus.cpp
+++ b/lib/engine/components/hal-dbus/hal-manager-dbus.cpp
@@ -48,7 +48,6 @@ extern "C" {
 #endif /* HAVE_V4L */

 //FIXME: for tracing
-#include "ptbuildopts.h"
 #include "ptlib.h"

 HalManager_dbus::HalManager_dbus (Ekiga::ServiceCore & _core)
diff --git a/lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h b/lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h
index f8c032b71edb..e1daf05fd37d 100644
--- a/lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h
+++ b/lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h
@@ -42,7 +42,6 @@
 #include "videoinput-manager.h"
 #include "runtime.h"

-#include "ptbuildopts.h"
 #include <ptclib/delaychan.h>

 /**
diff --git a/lib/engine/components/opal/h323-endpoint.cpp b/lib/engine/components/opal/h323-endpoint.cpp
index 75913e7ec167..1a8eb4083e98 100644
--- a/lib/engine/components/opal/h323-endpoint.cpp
+++ b/lib/engine/components/opal/h323-endpoint.cpp
@@ -245,7 +245,7 @@ Opal::H323::EndPoint::set_listen_port (unsigned port)
 void
 Opal::H323::EndPoint::set_initial_bandwidth (unsigned kind_of_net)
 {
-  unsigned bandwidth = GetInitialBandwidth ();
+  unsigned bandwidth = GetInitialBandwidth (OpalBandwidth::Tx);

   switch (kind_of_net) {
   case 0: // PSTN
diff --git a/lib/engine/components/opal/opal-call-manager.h b/lib/engine/components/opal/opal-call-manager.h
index 5b6ba4dd2dd6..ed8becb174e0 100644
--- a/lib/engine/components/opal/opal-call-manager.h
+++ b/lib/engine/components/opal/opal-call-manager.h
@@ -39,8 +39,6 @@
 #ifndef _ENDPOINT_H_
 #define _ENDPOINT_H_

-#include <opal/buildopts.h>
-#include <ptbuildopts.h>

 #include <ptlib.h>

diff --git a/lib/engine/components/opal/opal-call.cpp b/lib/engine/components/opal/opal-call.cpp
index a6dc319771e2..4c2e3bfbab37 100644
--- a/lib/engine/components/opal/opal-call.cpp
+++ b/lib/engine/components/opal/opal-call.cpp
@@ -609,10 +609,10 @@ Opal::Call::OnRTPStatistics2 (const OpalConnection & /* connection */,

     total_a = session.GetPacketsReceived ();
     lost_a = session.GetPacketsLost ();
-    too_late_a = session.GetPacketsTooLate ();
+    // FIXME too_late_a = session.GetPacketsTooLate ();
     out_of_order_a = session.GetPacketsOutOfOrder ();

-    jitter = session.GetJitterBufferSize () / max ((unsigned) session.GetJitterTimeUnits (), (unsigned) 8);
+    jitter = session.GetAvgJitterTime();
   }
   else {

@@ -633,7 +633,7 @@ Opal::Call::OnRTPStatistics2 (const OpalConnection & /* connection */,

     total_v = session.GetPacketsReceived ();
     lost_v = session.GetPacketsLost ();
-    too_late_v = session.GetPacketsTooLate ();
+    // FIXME too_late_v = session.GetPacketsTooLate ();
     out_of_order_v = session.GetPacketsOutOfOrder ();
   }

diff --git a/lib/engine/components/opal/opal-codec-description.h b/lib/engine/components/opal/opal-codec-description.h
index 84ad0c4ecb10..24ea6a368545 100644
--- a/lib/engine/components/opal/opal-codec-description.h
+++ b/lib/engine/components/opal/opal-codec-description.h
@@ -37,8 +37,6 @@
 #ifndef __OPAL_CODEC_DESCRIPTION_H__
 #define __OPAL_CODEC_DESCRIPTION_H__

-#include <opal/buildopts.h>
-#include <ptbuildopts.h>
 #include <ptlib.h>
 #include <opal/manager.h>

diff --git a/lib/engine/components/opal/opal-videoinput.h b/lib/engine/components/opal/opal-videoinput.h
index ddf690f0f53c..4b390ac433af 100644
--- a/lib/engine/components/opal/opal-videoinput.h
+++ b/lib/engine/components/opal/opal-videoinput.h
@@ -40,7 +40,6 @@
 #ifndef _EKIGA_VIDEO_INPUT_H_
 #define _EKIGA_VIDEO_INPUT_H_

-#include <ptbuildopts.h>
 #include <ptlib.h>
 #include <opal/manager.h>

diff --git a/lib/engine/components/opal/opal-videooutput.cpp b/lib/engine/components/opal/opal-videooutput.cpp
index 14ea264bf826..37643a9aeedf 100644
--- a/lib/engine/components/opal/opal-videooutput.cpp
+++ b/lib/engine/components/opal/opal-videooutput.cpp
@@ -35,7 +35,6 @@
  *
  */

-#include <ptbuildopts.h>
 #include <ptlib.h>
 #include <opal/manager.h>

diff --git a/lib/engine/components/ptlib/audioinput-manager-ptlib.cpp b/lib/engine/components/ptlib/audioinput-manager-ptlib.cpp
index 6557e6aa1f08..1139ed474103 100644
--- a/lib/engine/components/ptlib/audioinput-manager-ptlib.cpp
+++ b/lib/engine/components/ptlib/audioinput-manager-ptlib.cpp
@@ -35,7 +35,6 @@
  */

 #include "audioinput-manager-ptlib.h"
-#include "ptbuildopts.h"
 #include "ptlib.h"
 #include "utils.h"

diff --git a/lib/engine/components/ptlib/audioinput-manager-ptlib.h b/lib/engine/components/ptlib/audioinput-manager-ptlib.h
index a23d11f755cd..196417177cc2 100644
--- a/lib/engine/components/ptlib/audioinput-manager-ptlib.h
+++ b/lib/engine/components/ptlib/audioinput-manager-ptlib.h
@@ -41,7 +41,6 @@
 #include "audioinput-manager.h"
 #include "runtime.h"

-#include "ptbuildopts.h"
 #include <ptlib/sound.h>

 /**
diff --git a/lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp b/lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp
index cd6825368122..b39313624de9 100644
--- a/lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp
+++ b/lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp
@@ -35,7 +35,6 @@
  */

 #include "audiooutput-manager-ptlib.h"
-#include "ptbuildopts.h"
 #include "ptlib.h"
 #include "utils.h"

diff --git a/lib/engine/components/ptlib/audiooutput-manager-ptlib.h b/lib/engine/components/ptlib/audiooutput-manager-ptlib.h
index 11fe9186e152..0dde7ed5a33b 100644
--- a/lib/engine/components/ptlib/audiooutput-manager-ptlib.h
+++ b/lib/engine/components/ptlib/audiooutput-manager-ptlib.h
@@ -41,7 +41,6 @@
 #include "audiooutput-manager.h"
 #include "runtime.h"

-#include "ptbuildopts.h"
 #include <ptlib/sound.h>

 /**
diff --git a/lib/engine/components/ptlib/videoinput-manager-ptlib.cpp b/lib/engine/components/ptlib/videoinput-manager-ptlib.cpp
index 59d3586fc6f1..1d2dc81138e6 100644
--- a/lib/engine/components/ptlib/videoinput-manager-ptlib.cpp
+++ b/lib/engine/components/ptlib/videoinput-manager-ptlib.cpp
@@ -35,7 +35,6 @@
  */

 #include "videoinput-manager-ptlib.h"
-#include "ptbuildopts.h"
 #include "ptlib.h"
 #include "utils.h"

diff --git a/lib/engine/components/ptlib/videoinput-manager-ptlib.h b/lib/engine/components/ptlib/videoinput-manager-ptlib.h
index 91ddb4164c9e..4ccc082dd994 100644
--- a/lib/engine/components/ptlib/videoinput-manager-ptlib.h
+++ b/lib/engine/components/ptlib/videoinput-manager-ptlib.h
@@ -41,7 +41,6 @@
 #include "videoinput-manager.h"
 #include "runtime.h"

-#include "ptbuildopts.h"
 #include <ptlib/videoio.h>

 /**
diff --git a/lib/engine/videoinput/videoinput-core.h b/lib/engine/videoinput/videoinput-core.h
index 3f87f89a8923..fa4b0d3bc896 100644
--- a/lib/engine/videoinput/videoinput-core.h
+++ b/lib/engine/videoinput/videoinput-core.h
@@ -50,7 +50,6 @@
 #include <glib.h>
 #include <set>

-#include "ptbuildopts.h"
 #include "ptlib.h"

 #define VIDEO_INPUT_FALLBACK_DEVICE_TYPE   "Moving Logo"
diff --git a/lib/engine/videooutput/videooutput-core.h b/lib/engine/videooutput/videooutput-core.h
index b8968dada99d..9b17b4b9532d 100644
--- a/lib/engine/videooutput/videooutput-core.h
+++ b/lib/engine/videooutput/videooutput-core.h
@@ -49,7 +49,6 @@

 #include <glib.h>

-#include "ptbuildopts.h"
 #include "ptlib.h"

 namespace Ekiga
--
2.9.2
